<?php
namespace app\admin\controller;

use app\common\controller\Admin;

class User extends Admin
{
    //定义表单字段列表
    protected function fields($data=[])
    {
        return model('admin/User','loglic')->fields($data);
    }
    
    //定义表单初始数据
    protected function formData()
    {
        if( $id = input('id/d',0) ){
            $data = \daicuo\User::get_user_by('user_id', $id, false);
            unset($data['user_pass']);
            return $data;
		}
        return [];
    }

    //定义表格数据（JSON）
    //user/index/?pageNumber=1&pageSize=20&sortName=user_id&sortOrder=desc&user_capabilities=admin
    protected function ajaxJson()
    {
        $args = array();
        $args['cache']  = false;
        $args['limit']  = input('pageSize/d', 30);
        $args['page']   = input('pageNumber/d', 1);
        $args['sort']   = input('get.sortName/s','user_id');
        $args['order']  = input('get.sortOrder/s','desc');
        $args['search'] = input('searchText/s','');
        //初始字段条件
        $args['where']  = DcWhereFilter($this->query, ['user_token','user_status','user_create_ip','user_update_ip'], 'eq');
        if(!$args['where']){
            unset($args['where']);
        }
        //自定义字段排序
        if( !in_array($args['sort'],['user_id','user_pid','user_order','user_mobile','user_views','user_hits','user_create_time','user_update_time']) ){
            $args['meta_key'] = $args['sort'];
            $args['sort']     = 'meta_value_num';
        }
        //扩展字段查询条件
        $args['meta_query'] = DcMetaQuery('user_meta', $this->query);
        //返回数据
        return DcEmpty(DcUserSelect($args),['total'=>0,'data'=>[]]);
    }
    
    //添加(数据库)
	public function save()
    {
        config('common.validate_name', 'common/User');
        
        config('common.validate_scene', 'auto');
        
        config('common.where_slug_unique', '');
        
        $user_id = \daicuo\User::save(input('post.'));
		if($user_id < 1){
			$this->error(\daicuo\User::getError());
		}
		$this->success(lang('success'));
	}
    
	//删除(数据库)
	public function delete()
    {
		$ids = input('id/a');
		if(!$ids){
			$this->error(lang('mustIn'));
		}
        
        foreach($ids as $user_id){
            \daicuo\User::delete_user_by('user_id', $user_id);
        }
        
        $this->success(lang('success'));
	}
	
	//修改（数据库）
	public function update()
    {  
		$data = input('post.');
        if(!$data['user_id']){
            $this->error(lang('mustIn'));
        }
        
        config('common.validate_name', 'common/User');
        
        config('common.validate_scene', 'empty');
        
        config('common.where_slug_unique', '');
        
        $info = \daicuo\User::update_user_by('user_id', $data['user_id'], $data);
        if(is_null($info)){
            $this->error(\daicuo\User::getError());
        }
        $this->success(lang('success'));
	}
    
    //快速修改状态
    public function status()
    {
        if( !$ids = input('post.id/a') ){
            $this->error(lang('errorIds'));
        }
        $data = [];
        $data['user_status'] = input('request.value/s', 'hidden');
        foreach($ids as $key=>$id){
            \daicuo\User::update(['user_id'=>$id], $data, '');
        }
        $this->success(lang('success'));
    }
}