<?php
//扩展内容表字段
DcConfigMerge('custom_fields.info_meta', [
    'info_up',
    'info_down',
    'info_tpl',
    'info_color',
    'info_referer',
    'info_area',
    'image_ico',
    'image_qrcode',
    'image_level',
    'image_vertical',
    'image_screen',
]);

//扩展插件菜单
DcConfigMerge('admin_menu.addon', [
    [
        'menu_ico'    => 'fa-link',
        'menu_title'  => 'daohang_menu_title',
        'menu_module' => 'daohang',
        'menu_items'  => [
            [
                'ico'      => 'fa fa-fw fa-clock-o',
                'title'    => 'daohang_admin_index',
                'module'   => 'daohang',
                'controll' => 'admin',
                'action'   => 'index',
                'order'    => 1,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'admin','action'=>'index'] ),
            ],
            [
                'ico'      => 'fa-folder',
                'title'    => 'daohang_category_index',
                'target'   => '_self',
                'module'   => 'daohang',
                'controll' => 'category',
                'action'   => 'index',
                'order'    => 2,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'category','action'=>'index'] ),
            ],
            [
                'ico'      => 'fa-link',
                'title'    => 'daohang_web_index',
                'target'   => '_self',
                'controll' => 'web',
                'action'   => 'index',
                'order'    => 3,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'web','action'=>'index'] )
            ],
            [
                'ico'      => 'fa-coffee',
                'title'    => 'daohang_mp_index',
                'target'   => '_self',
                'controll' => 'mp',
                'action'   => 'index',
                'order'    => 4,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'mp','action'=>'index'] )
            ],
            [
                'ico'      => 'fa-qrcode',
                'title'    => 'daohang_mini_index',
                'target'   => '_self',
                'controll' => 'mini',
                'action'   => 'index',
                'order'    => 5,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'mini','action'=>'index'] )
            ],
            [
                'ico'      => 'fa fa-fw fa-cog',
                'title'    => 'daohang_config_index',
                'module'   => 'daohang',
                'controll' => 'config',
                'action'   => 'index',
                'order'    => 12,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'config','action'=>'index'] ),
            ],
            [
                'ico'      => 'fa fa-fw fa-gavel',
                'title'    => 'daohang_auth_index',
                'target'   => '_self',
                'module'   => 'daohang',
                'controll' => 'auth',
                'action'   => 'index',
                'order'    => 13,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'auth','action'=>'index'] ),
            ],
            [
                'ico'      => 'fa fa-fw fa-heart',
                'title'    => 'daohang_seo_index',
                'target'   => '_self',
                'module'   => 'daohang',
                'controll' => 'seo',
                'action'   => 'index',
                'order'    => 14,
                'url'      => DcUrlAddon( ['module'=>'daohang','controll'=>'seo','action'=>'index'] ),
            ],
        ]
    ]
]);

//插件初始配置会被数据库配置覆盖
return [
    'daohang' => [
        'theme'     => 'default',
        'theme_wap' => 'default',
        'controll'  => ['web','mp','mini'],
    ]
];