<?php
namespace app\daohang\controller;

use app\common\controller\Front;

class Category extends Front
{
    // 继承上级
    public function _initialize()
    {
        $this->request->filter('trim,strip_tags,htmlspecialchars');
        
        parent::_initialize();
    }
    
    //category/index/?id=1&page=1
    public function index()
    {
        if( isset($this->query['id']) ){
            $info = daohangCategoryId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $info = daohangCategorySlug($this->query['slug']);
        }elseif( isset($this->query['name']) ){
            $info = daohangCategoryName($this->query['name']);
        }else{
            $this->error(lang('mustIn'),'daohang/index/index');
        }
        if(!$info){
            $this->error(lang('empty'),'daohang/index/index');
        }
        //子分类
        $info['term_ids']   = DcTermSubIds($info['term_id'],'category','array');
        //分页路径
        $info['pagePath']   = daohangUrlCategory($info,'[PAGE]');
        $info['pageSize']   = DcEmpty(intval(config('daohang.page_size')),20);
        $info['pageNumber'] = DcEmpty($this->query['pageNumber'], $this->site['page']);
        $info['sortName']   = 'info_order desc,info_update_time';
        $info['sortOrder']  = 'desc';
        //变量赋值
        $this->assign($info);
        //加载模板
        if($info['term_tpl']){
            return $this->fetch($info['term_tpl']);
        }
        return $this->fetch( DcEmpty($info['term_controll'],'web') );
    }
    
    public function all()
    {
        $info = [];
        $info['seoTitle']       = daohangSeo(config('daohang.category_title'));
        $info['seoKeywords']    = daohangSeo(config('daohang.category_keywords'));
        $info['seoDescription'] = daohangSeo(config('daohang.category_description'));
        $this->assign($info);
        return $this->fetch('all');
    }
}