<?php
namespace app\daohang\controller;

use app\common\controller\Front;

class Index extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    //频道首页
    public function index()
    {
        $this->assign([
            'seoTitle'       => daohangSeo(config('daohang.index_title')),
            'seoKeywords'    => daohangSeo(config('daohang.index_keywords')),
            'seoDescription' => daohangSeo(config('daohang.index_description')),
            'limitWeb'       => intval(config('daohang.limit_index_web')),
            'limitMp'        => intval(config('daohang.limit_index_mp')),
            'limitMini'      => intval(config('daohang.limit_index_mini')),
            'limitCategory'  => intval(config('daohang.limit_index_category')),
            'limitTag'       => intval(config('daohang.limit_index_tag')),
            'limitHot'       => intval(config('daohang.limit_index_hot')),
        ]);
        return $this->fetch();
    }
    
    //网站地图
    public function sitemap()
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //自定义页面
    public function _empty($name)
    {
        $this->seoAction();
        return $this->fetch();
    }
    
    //地图页SEO
    private function seoAction(){
        $this->assign([
            'seoTitle'       => str_replace('[action]', lang('daohang_index_'.$this->site['action']), daohangSeo(config('cms.maps_title'))),
            'seoKeywords'    => str_replace('[action]', lang('daohang_index_'.$this->site['action']), daohangSeo(config('cms.maps_keywords'))),
            'seoDescription' => str_replace('[action]', lang('daohang_index_'.$this->site['action']), daohangSeo(config('cms.maps_description'))),
        ]);
    }
    
}