<?php
namespace app\daohang\loglic;

use app\daohang\loglic\Form;

class Mp extends Form
{
    /**
    * 定义公众号的字段
    * @version 1.0.0 首次引入
    * @param array $data 可选;初始数据;默认：空
    * @return array 表格列字段属性（DcBuildTable）
    */
    public function fields($data)
    {
        return [
            'info_html_1' => [
                'type'            => 'html',
                'value'           => '<div class="row"><div class="col-12 col-md-1 order-1">',
                'data-filter'     => false,
                'data-visible'    => false,
            ],
            'info_ation' => [
                'type'            => 'hidden',
                'value'           => 'index',
            ],
            'info_controll' => [
                'type'            => 'hidden',
                'value'           => 'mp',
            ],
            'info_module' => [
                'type'            => 'hidden',
                'value'           => 'daohang',
            ],
            'info_user_id' => [
                'type'            => 'hidden',
                'value'           => DcUserCurrentGetId(),
            ],
            'category_id' => [
                'type'            => 'checkbox',
                'value'           => $data['category_id'],
                'option'          => DcTermCheck(['module'=>['eq','daohang'],'controll'=>['eq','mp']]),
                'title'           => lang('category'),
                'class_right'     => 'col-12 pre-scrollable',
            ],
            'info_html_2' => [
                'type'            => 'html',
                'value'           => '</div><div class="col-12 col-md-8 order-2">',
            ],
            'info_id' => [
                'order'           => 1,
                'type'            => 'hidden',
                'value'           => $data['info_id'],
                'data-visible'    => true,
                'data-title'      => 'id',
                'data-sortable'   => true,
                'data-width'      => 80,
            ],
            'info_name' => [
                'order'           => 2,
                'type'            => 'text',
                'value'           => $data['info_name'],
                'data-visible'    => true,
                'data-escape'     => true,
                'data-class'      => 'text-wrap',
                'data-align'      => 'left',
            ],
            'info_slug' => [
                'order'           => 3,
                'type'            => 'text',
                'value'           => $data['info_slug'],
                'data-visible'    => true,
                'data-escape'     => true,
                'data-class'      => 'text-wrap',
                'data-align'      => 'left',
                'data-width'      => 150,
            ],
            'category_names' => [
                'order'           => 4,
                'data-title'      => lang('dh_category_id'),
                'data-visible'    => true,
                'data-width'      => 150,
                'data-class'      => 'text-wrap',
                'data-align'      => 'left',
            ],
            'tag_name' => [
                'type'            => 'tags',
                'value'           => implode(',',$data['tag_name']),
                'option'          => daohangTags(10),
                'title'           => lang('dh_tag_name'),
                'placeholder'     => '',
                'class_tags'      => 'form-text pt-1',
                'class_tags_list' => 'text-purple mr-2',
            ],
            'image_ico' => [
                'type'            => 'image',
                'value'           => $data['image_ico'],
                'title'           => lang('dh_image_ico'),
                'placeholder'     => lang('dh_image_ico_tips'),
            ],
            'image_qrcode' => [
                'type'            => 'image',
                'value'           => $data['image_qrcode'],
                'title'           => lang('dh_image_qrcode'),
                'placeholder'     => lang('dh_image_qrcode_tips'),
            ],
            'info_excerpt' => [
                'type'            => 'text',
                'value'           => $data['info_excerpt'],
                'rows'            => 3,
            ],
            'info_content' => [
                'type'            => 'editor',
                'value'           => $data['info_content'],
                'rows'            => 30,
                'height'          => '30rem',
            ],
            'info_html_3' => [
                'type'            => 'html',
                'value'           => '</div><div class="col-12 col-md-3 order-3">',
            ],
            'info_status' => [
                'type'            => 'select',
                'value'           => $data['info_status'],
                'option'          => ['normal'=>lang('normal'),'hidden'=>lang('hidden')],
                'data-filter'     => true,
            ],
            'info_status_text' => [
                'order'           => 5,
                'data-visible'    => true,
                'data-title'      => lang('info_status'),
                'data-width'      => 90,
            ],
            'info_type' => [
                'order'           => 6,
                'type'            => 'select',
                'value'           => DcEmpty($data['info_type'],'index'),
                'option'          => daohangTypeOption(),
                'title'           => lang('dh_type'),
                'data-filter'     => true,
            ],
            'info_type_text' => [
                'order'           => 6,
                'data-visible'    => true,
                'data-title'      => lang('dh_type'),
                'data-width'      => 90,
            ],
            'info_color' => [
                'type'            => 'select',
                'value'           => $data['info_color'],
                'title'           => lang('dh_color'),
                'option'          => [
                    'text-dark'      => 'text-dark',
                    'text-danger'    => 'text-danger',
                    'text-success'   => 'text-success',
                    'text-primary'   => 'text-primary',
                    'text-info'      => 'text-info',
                    'text-secondary' => 'text-secondary',
                    'text-muted'     => 'text-muted',
                    'text-light'     => 'text-light',
                ],
            ],
            'info_title' => [
                'type'            => 'text',
                'value'           => $data['info_title'],
            ],
            'info_keywords' => [
                'type'            => 'text',
                'value'           => $data['info_keywords'],
            ],
            'info_description' => [
                'type'            => 'text',
                'value'           => $data['info_description'],
            ],
            'info_tpl' => [
                'type'            => 'text',
                'value'           => $data['info_tpl'],
            ],
            'info_order' => [
                'order'           => 7,
                'type'            => 'number',
                'value'           => intval($data['info_order']),
                'data-sortable'   => true,
                'data-visible'    => true,
                'data-width'      => 80,
                
            ],
            'info_views' => [
                'order'           => 8,
                'type'            => 'number',
                'value'           => intval($data['info_views']),
                'data-sortable'   => true,
                'data-visible'    => true,
                'data-width'      => 80,
            ],
            'info_hits' => [
                'order'           => 9,
                'type'            => 'number',
                'value'           => intval($data['info_hits']),
                'order'           => 95,
                'data-sortable'   => true,
                'data-visible'    => true,
                'data-width'      => 80,
            ],
            'info_up' => [
                'order'           => 10,
                'type'            => 'number',
                'value'           => intval($data['info_up']),
                'title'           => lang('dh_up'),
                'data-sortable'   => true,
                'data-visible'    => true,
                'data-title'      => lang('dh_up'),
                'data-width'      => 80,
            ],
            'info_down' => [
                'order'           => 11,
                'type'            => 'number',
                'value'           => intval($data['info_down']),
                'title'           => lang('dh_down'),
                'data-sortable'   => true,
                'data-visible'    => true,
                'data-title'      => lang('dh_down'),
                'data-width'      => 80,
            ],
            'user_name' => [
                'order'           => 98,
                'data-visible'    => true,
                'data-escape'     => true,
                'data-width'      => 100,
            ],
            'info_update_time' => [
                'order'           => 99,
                'data-sortable'   => true,
                'data-visible'    => true,
                'data-width'      => 120,
            ],
            'info_html_4' => [
                'type'            => 'html',
                'value'           => '</div></div>',
            ]
        ];
    }
    
    //快审发布公众号的表单字段
    public function fastFields()
    {
        $items  = [
            'info_name' => [
                'type'      => 'text',
                'maxlength' => '250',
                'required'  => true
            ],
            'image_ico' => [
                'type'        => 'image',
                'placeholder' => lang('dh_image_ico_tips'),
            ],
            'image_qrcode' => [
                'type'        => 'image',
                'placeholder' => lang('dh_image_qrcode_tips'),
            ],
            'info_excerpt' => [
                'type'        => 'text',
                'placeholder' => lang('dh_info_excerpt_tips'),
            ],
            'info_content' => [
                'type'        => 'textarea',
                'rows'        => 3,
                'placeholder' => lang('dh_info_content_tips'),
            ],
            'tag_name' => [
                'type'        => 'tags',
                'option'      => [],
                'placeholder' => '',
            ],
            'category_id'   => [
                'type'      => 'checkbox',
                'multiple'  => true,
                'size'      => 15,
                'option'    => model('daohang/Category','loglic')->option('mp'),
                'class_right'         => 'col-12 col-md-10 row',
                'class_right_check'   => 'col-4 col-md-2 form-check form-check-inline pl-3 mr-0 mb-1',
            ],
        ];
        
        foreach($items as $key=>$value){
            $items[$key]['title']       = lang('dh_'.$key);
            if(!isset($value['class_left'])){
                $items[$key]['class_left'] = 'col-12 col-md-2';
            }
            if(!isset($value['class_right'])){
                $items[$key]['class_right'] = 'col-12 col-md-10';
            }
        }
        
        return $items;
    }
}