{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang('dh_option_'.$info_controll)}{$info_title}-{:config('common.site_name')}</title>
<meta name="keywords" content="{$info_keywords}" />
<meta name="description" content="{$info_description}"  />
{/block}
<!-- -->
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="bg-white py-4 mb-2">
  <div class="container">
    <div class="row">
      <div class="col-12 col-md-10 order-2 order-md-1">
        <h2 class="mb-3 text-truncate">{$info_name|DcHtml}{if $info_type eq 'fast'}<i class="fa fa-fw fa-check-circle text-danger"></i>{/if}</h2>
        <p class="lead text-muted mb-0">{$info_excerpt|daohangSubstr=0,84}</p>
      </div>
      <div class="col-12 col-md-2 text-center order-1 order-md-2 mb-3 col-mb-0">
        <img class="img-thumbnail rounded-circle img-detail" src="{:daohangUrlImage($image_ico,$image_qrcode)}" alt="{$info_name|DcHtml}">
      </div>
    </div>
  </div>
</div>
<div class="container">
  <div class="row dh-row">
    <div class="col-12 col-md-3 px-1 order-2 order-md-1">
      <div class="card mb-2">
        <div class="card-header px-2 d-flex flex-row justify-content-between align-items-center">
          <span><i class="fa fa-fw fa-coffee mr-1 text-danger"></i>最新收录</span>
          <a class="small" href="{:daohangUrlFilter(['controll'=>$info_controll,'termId'=>$category_id[0],'pageSize'=>20,'pageNumber'=>1,'sortName'=>'info_update_time','sortOrder'=>'desc'])}">更多>></a>
        </div>
        <div class="card-body px-2 pb-0">
          {volist name=":daohangSelect(['controll'=>$info_controll,'term_id'=>['in',$category_id],'status'=>'normal','limit'=>'10','sort'=>'info_id','order'=>'desc'])" id="daohang"}
          <p class="text-truncate">
          {gt name="i" value="3"}
          <span class="badge dh-badge badge-secondary mr-2">{$i}</span>
          {else/}
          <span class="badge dh-badge badge-danger mr-2">{$i}</span>
          {/gt}
          <a class="{$daohang.info_color|daohangColor}" href="{:daohangUrlInfo($daohang)}">{$daohang.info_name|DcHtml|daohangSubstr=0,12,false}</a>
          <small class="float-right text-muted">{$daohang.info_create_time|daohangDate='m.d',###}</small>
          </p>
          {/volist}
        </div>  
      </div>
      {include file="widget/ads250" /}
    </div>
    <!---->
    <div class="col-12 col-md-9 px-1 order-1 order-md-2">
      <ol class="breadcrumb bg-white mb-2">
        <li class="breadcrumb-item"><a class="text-danger" href="{:daohangUrl('daohang/index/index')}">首页</a></li>
        {volist name="category" id="dh"}
        <li class="breadcrumb-item"><a href="{:daohangUrlCategory($dh)}">{$dh.term_name}</a></li>
        {/volist}
        <li class="breadcrumb-item active">公众号信息</li>
      </ol>
      <div class="card mb-2">
        <div class="card-body pb-0">
          <div class="media bg-white rounded mb-3">
            <img class="mr-3 rounded" src="{:daohangUrlImage($image_qrcode)}" alt="{$info_name|DcHtml}" width="128" height="128">
            <div class="media-body">
              <h4 class="mb-3">{$info_name|DcHtml}</h4>
              <p class="mb-2">分类标签：
              {volist name="category" id="term" offset="0" length="5"}<a class="mr-1" href="{:daohangUrlCategory($term)}">{$term.term_name}</a>{/volist}
              {volist name="tag" id="term" offset="0" length="5"}<a class="mr-1" href="{:daohangUrlTag($term)}">{$term.term_name}</a>{/volist}
              </p>
              <p class="mb-2">收录时间：{$info_create_time}</p>
              <p class="mb-2">人气指数：{$info_views|number_format}</p>
            </div>
          </div>
          <h5 class="border-bottom pb-2">公众号（{$info_name|DcHtml}）介绍</h5>
          <div class="w-100 mb-4">{$info_content|daohangStrip}</div>
          <p class="col-12 text-center">
            <a class="btn btn-lg btn-danger" href="javascript:;"><i class="fa fa-thumbs-o-up mr-1"></i>{$info_up|number_format}</a>
          </p>
        </div>
      </div>
      {include file="widget/ads728" /}
      <div class="card mb-2">
        <div class="card-header px-2 d-flex flex-row justify-content-between align-items-center">
          <span><i class="fa fa-fw fa-coffee mr-1 text-danger"></i>热门公众号</span>
          <a class="small" href="{:daohangUrlFilter(['controll'=>$info_controll,'termId'=>$category_id[0],'pageSize'=>20,'pageNumber'=>1,'sortName'=>'info_update_time','sortOrder'=>'desc'])}">更多>></a>
        </div>
        <div class="card-body row pb-0 mb-0">
        {volist name=":daohangSelect(['controll'=>$info_controll,'term_id'=>['in',$category_id],'status'=>'normal','limit'=>32,'sort'=>'info_views','order'=>'desc'])" id="mp" mod="9"}
        <p class="col-6 col-md-3 px-1 text-truncate">
          <a class="{$mp.info_color|daohangColor}" href="{:daohangUrlInfo($mp)}">
            {if in_array($mp['info_type'],['fast','head','recommend'])}<i class="fa fa-fw fa-coffee text-danger"></i>{else/}<i class="fa fa-fw fa-coffee text-muted"></i>{/if}{$mp.info_name|daohangSubstr=0,10}
          </a>
        </p>
        {/volist}
      </div>
      </div>
      <div class="card mb-2">
        <div class="card-header">
          <i class="fa fa-fw fa-question mr-1 text-danger"></i>免责申明
        </div>
        <div class="card-body pb-0">
          <p>1、本文数据来源于公众号（{$info_name|DcHtml}）。</p>
          <p>2、本站收录{$info_name|DcHtml}时该公众号内容都正常，如遇失效、请联系网站管理员修复。</p>
          <p>3、本站仅提供（{$info_name|DcHtml}）的信息展示，不承担相关法律责任。</p>
          <p>4、本站不接受任何违法信息提交，如有违法内容，请立即举报。</p>
          <p>5、本文地址 {$domain}{:daohangUrlInfo(['info_id'=>$info_id,'info_slug'=>$info_slug,'info_name'=>$info_name])}，复制请保留版权链接。</p>
        </div>
      </div>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}