{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle|default='呆错导航系统'}</title>
<meta name="keywords" content="{$seoKeywords|default='呆错导航系统,daiduodaohang'}" />
<meta name="description" content="{$seoDescription|default='呆错导航系统是一款免费开源的专业分类导航建站系统'}"  />
{/block}
<!-- -->
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container pt-2">
  <ol class="breadcrumb bg-white mb-2">
    <li class="breadcrumb-item"><a class="text-danger" href="{:daohangUrl('daohang/index/index')}">首页</a></li>
    <li class="breadcrumb-item active">网站地图</li>
  </ol>
  <div class="card mb-2">
    <div class="card-header h5">信息发布</div>
    <div class="card-body pb-0">
      <ul class="bg-white px-3 py-0">
        <li class="mb-2"><a href="{:daohangUrl('daohang/publish/web')}">免费发布网站</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/publish/mp')}">免费发布公众号</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/publish/mini')}">免费发布小程序</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/user/web')}">免审核发布网站</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/user/mp')}">免审核发布公众号</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/user/mini')}">免审核发布小程序</a></li>
      </ul>
    </div> 
  </div>
  <div class="card mb-2">
    <div class="card-header h5">会员服务</div>
    <div class="card-body pb-0">
      <ul class="bg-white px-3 py-0">
        <li class="mb-2"><a href="{:DcUrl('user/register/index',['pid'=>1])}">免费注册</a></li>
        <li class="mb-2"><a href="{:DcUrl('user/login/index','')}">帐号登录</a></li>
        <li class="mb-2"><a href="{:DcUrl('user/logout/index','')}">安全退出</a></li>
        <li class="mb-2"><a href="{:DcUrl('user/recharge/index','')}">积分充值</a></li>
        <li class="mb-2"><a href="{:DcUrl('user/group/index','')}">升级VIP</a></li>
        <li class="mb-2"><a href="{:DcUrl('user/repwd/index','')}">修改密码</a></li>
        <li class="mb-2"><a href="{:DcUrl('user/forget/index','')}">忘记密码</a></li>
      </ul>
    </div> 
  </div>
  <div class="card mb-2">
    <div class="card-header h5">网站分类</div>
    <div class="card-body pb-0">
      <ul class="bg-white px-3 py-0">
        {volist name=":daohangCategorySelect(['controll'=>['in',['web','mini','mp','page']],'status'=>['eq','normal']])" id="category"}
        <li class="mb-2"><a href="{:daohangUrlCategory($category)}">{$category.term_name}</a></li>
        {/volist}
      </ul>
    </div>
  </div>
  <div class="card mb-2">
    <div class="card-header h5">常用链接</div>
    <div class="card-body pb-0">
      <ul class="bg-white px-3 py-0">
        <!--固定链接-->
        <li class="mb-2"><a href="{:daohangUrl('daohang/category/all')}">全站分类</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/tag/all')}">全站标签</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/publish/index')}">免费收录</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/publish/fast')}">快速收录</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/index/search')}">网站搜索</a></li>
        <li class="mb-2"><a href="{:daohangUrl('daohang/sitemap/index')}">网站地图</a></li>
        <li class="mb-2"><a href="{:daohangUrl('friend/index/index')}">申请友链</a></li>
        <!--导航菜单-->
        {volist name=":daohangNavbar(['action'=>['in','navbar,sitebar,navs,links,ico,image,other'],'status'=>['in','normal,publish']])" id="navbar"}
        {if $navbar['_child']}
          {volist name="navbar._child" id="navSon"}
          <li class="mb-2"><a href="{$navSon.navs_link}">{$navSon.navs_name}</a></li>
          {/volist}
        {else/}
          <li class="mb-2"><a href="{$navbar.navs_link}">{$navbar.navs_name}</a></li>
        {/if}
        {/volist}
        <!--单页-->
        {if function_exists('pageSelect')}
          {volist name=":pageSelect(['status'=>'normal','sort'=>'info_id','order'=>'desc'])" id="page"}
          <li class="py-2"><a href="{:pageUrl($page)}">{$page.info_name}</a></li>
          {/volist}
        {/if}
      </ul>
    </div>
  </div>
  <div class="card mb-2">
    <div class="card-header h5">sitemMap</div>
    <div class="card-body pb-0">
      <ul class="list-inline bg-white px-3 py-0">
        {for start="1" end="51"}
        <li class="list-inline-item mb-2"><a href="{:daohangUrl('daohang/sitemap/text',['pageNumber'=>$i])}" title="{:config('common.site_name')}第{$i}页">{$i}</a></li>
        {/for}
      </ul>
    </div>
  </div>
</div>
{/block}
{block name="footer"}{include file="widget/footer" /}{/block}