<?php
namespace app\daohang\validate;

use think\Validate;

class Info extends Validate
{
	
	protected $rule = [
        'info_name'     => 'require',
        'info_slug'     => 'require',
        'info_module'   => 'require',
        'info_id'       => 'require',
        'info_referer'  => 'require|unique_web',
	];
	
	protected $message = [
		'info_name.require'    => '{%info_name_require}',
        'info_module.require'  => '{%info_module_require}',
        'info_id.require'      => '{%info_id_require}',
        'info_referer.require' => '{%dh_error_web_require}',
	];
	
    //验证场景
	protected $scene = [
		'web_save'    =>  ['info_module','info_name','info_referer'],
		'web_update'  =>  ['info_module','info_name','info_referer','info_id'],
        'mp_save'     =>  ['info_module','info_name'],
		'mp_update'   =>  ['info_module','info_name','info_id'],
        'mini_save'   =>  ['info_module','info_name'],
		'mini_update' =>  ['info_module','info_name','info_id'],
	];
    
    //网址是否收录
    protected function unique_web($value, $rule, $data, $field)
    {
        //特殊网址
        if(in_array($value,['javascript:;','#'])){
            return true;
        }
        //查询数据库
        $where = array();
        $where['info_meta_key']   = ['eq','info_referer'];
        $where['info_meta_value'] = ['eq',$value];
        if($data['info_id']){
            $where['info_id'] = ['neq',$data['info_id']];
        }
        $info = db('infoMeta')->where($where)->value('info_meta_id');
        //无记录直接验证通过
        if(is_null($info)){
            return true;
        }
        //已有记录
		return lang('dh_error_web_unique');
	}
}