<?php
namespace app\user\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        //初始配置
        model('user/Datas','loglic')->insertConfig();
        
        //初始路由
        model('user/Datas','loglic')->insertRoute();
        
        //初始用户
        model('user/Datas','loglic')->insertUser();
        
        //初始权限
        model('user/Datas','loglic')->insertAuth();
        
        //初始分类、标签、导航
        model('user/Datas','loglic')->insertTerm();

        //返回结果
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        if( !\daicuo\Apply::updateStatus('user', 'enable') ){
            return false;
        }
        return true;
    }
    
    /**
    * 卸载时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        return $this->unInstall();
    }
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        //删除插件配置
        \daicuo\Op::delete_module('user');
        //删除插件用户
        \daicuo\User::delete_module('user');
        //删除插件分类/标签/导航
        \daicuo\Term::delete_module('user');
        //直接返回结果
        return true;
	}
	
}